Name:           perl-Class-MethodMaker
Version:        2.24
Release:    1%{?dist}
Summary:        Perl module for creating generic object-oriented methods
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Class-MethodMaker
Source0:        https://cpan.metacpan.org/modules/by-module/Class/Class-MethodMaker-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(FindBin) >= 1.42
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(lib)
BuildRequires:  perl(AutoLoader) >= 5.57
BuildRequires:  perl(B::Deparse) >= 0.59
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fatal) >= 1.02
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(warnings::register)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl(Cwd) >= 2.01
BuildRequires:  perl(Env)
BuildRequires:  perl(Fcntl) >= 1.03
BuildRequires:  perl(File::Compare) >= 1.1002
BuildRequires:  perl(File::Path) >= 1.04.01
BuildRequires:  perl(File::Spec) >= 0.6
BuildRequires:  perl(File::stat)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::File) >= 1.08
BuildRequires:  perl(IPC::Run)
BuildRequires:  perl(POSIX) >= 1.03
BuildRequires:  perl(Test) >= 1.13
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(Tie::Scalar)
BuildRequires:  perl(Tie::StdArray)
BuildRequires:  perl(Tie::StdHash)
BuildRequires:  perl(Tie::StdScalar)
BuildRequires:  perl(vars)
Requires:       perl(B::Deparse) >= 0.59
Requires:       perl(Data::Dumper)

%{?perl_default_filter}

%description
Class::MethodMaker solves the problem of having to continually write accessor
methods for your objects that perform standard tasks.

%prep
%setup -q -n Class-MethodMaker-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README TODO
%{perl_vendorarch}/Class/
%{perl_vendorarch}/auto/Class/
%{_mandir}/man3/Class::MethodMaker.3*
%{_mandir}/man3/Class::MethodMaker::Constants.3*
%{_mandir}/man3/Class::MethodMaker::Engine.3*
%{_mandir}/man3/Class::MethodMaker::OptExt.3*
%{_mandir}/man3/Class::MethodMaker::V1Compat.3*
%{_mandir}/man3/Class::MethodMaker::array.3*
%{_mandir}/man3/Class::MethodMaker::hash.3*
%{_mandir}/man3/Class::MethodMaker::scalar.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.24-1
- initial build
